"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const view_1 = require("@code-dependency/view");
const path = require("path");
const filesystem_1 = require("./filesystem");
const generateConfig = (config) => {
    return {
        projects: [],
        ...config,
    };
};
exports.distribution = async (staticDist) => {
    const distPath = path.join(process.cwd(), staticDist);
    const configPath = path.join(distPath, "config.json");
    const config = generateConfig(filesystem_1.readConfig(configPath));
    filesystem_1.mkdirP(distPath);
    const viewPaths = view_1.getPaths();
    await filesystem_1.copyAssetFiles(viewPaths.build, distPath, [".css", ".js", ".html", ".json"]);
    filesystem_1.mkdirP(path.join(distPath, "projects"));
    filesystem_1.saveConfig(configPath, config);
};
